VFS_GLUSTERFS_FUSE(8)

NAME
vfs_glusterfs_fuse - Utilize features provided by GlusterFS

SYNOPSIS

vfs objects = glusterfs_fuse

DESCRIPTION

This VFS module is part of the samba(8) suite.

GlusterFS (http://www.gluster.org) is an Open Source clustered file system capable of scaling to several peta-bytes. With its FUSE based native client, GlusterFS is available as a POSIX compliant file system and can hence be shared by Samba without additional steps.

The vfs_glusterfs_fuse VFS module provides an enhanced way to access a Gluster filesystem using a Gluster FUSE mount. It provides support for the get_real_filename VFS call which enhances file access performance by avoiding multiple expensive case folding lookup calls to detect the appropriate case of an existing filename.

Furthermore, this module implements a substitute file-id mechanism. The default file-id mechanism is not working correctly for gluster fuse mount re-exports, so in order to avoid data loss, users exporting gluster fuse mounts with Samba should enable this module.

This module can be combined with other modules, but it should be the last module in the vfs objects list. Modules added to this list to the right of the glusterfs entry may not have any effect at all.

CONFIGURATION

A basic configuration looks like this.

    		[share]
    		vfs objects = glusterfs_fuse
    		path = /absolute/path_of_fusemount

Note that vfs_glusterfs_fuse requires a Gluster mount. For accessing glusterfs directly over the GFAPI library please use the vfs_glusterfs module.

OPTIONS

This module does currently have no further options.

VERSION

This man page is part of version 4.20.0 of the Samba suite.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.